Debian Bug report logs - #417457
FTBFS with GCC 4.3: missing #includes

version graph

Package: odyssey; Maintainer for odyssey is Fernando J. Rodríguez <groucho@lugmen.org.ar>;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Mon, 2 Apr 2007 20:06:01 UTC

Severity: important

Tags: patch

Found in versions odyssey/0.4-2, odyssey/0.4-2.1

Fixed in version odyssey/0.4-2.2

Done: Luk Claes <luk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, groucho@lugmen.org.ar (Fernando J. Rodríguez):
Bug#417457; Package odyssey. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to groucho@lugmen.org.ar (Fernando J. Rodríguez). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: FTBFS with GCC 4.3: missing #includes
Date: Mon, 2 Apr 2007 20:58:50 +0100
Package: odyssey
Version: 0.4-2
Usertags: ftbfs-gcc-4.3
Tags: patch

Your package fails to build with GCC 4.3.  Version 4.3 has not been
released yet but I'm building with a snapshot in order to find errors
and give people an advance warning.  In GCC 4.3, the C++ header
dependencies have been cleaned up.  The advantage of this is that
programs will compile faster.  The downside is that you actually
need to directly #include everything you use (but you really should
do this anyway, otherwise your program won't work with any compiler
other than GCC).  Some background of this can be found at
http://gcc.gnu.org/PR28080

You can reproduce this problem with gcc-snapshot (20070326-1 or higher)
from unstable.

> Automatic build of odyssey_0.4-2 on em64t by sbuild/amd64 0.53
...
> 	if x86_64-linux-gnu-g++ -DHAVE_CONFIG_H  -I. -DDATADIR="\"/usr/share/odyssey\"" -DSYSCONFDIR="\"/etc\""  -Wall -Wundef -Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings -Werror -g -O2 -MT ConfigFile.o -MD -MP -MF "$depbase.Tpo" -c -o ConfigFile.o ConfigFile.cxx; \
> 	then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
> ConfigFile.cxx: In constructor 'ConfigFile::ConfigFile(const char*, const char*, const char*)':
> ConfigFile.cxx:35: error: 'getenv' was not declared in this scope
> ConfigFile.cxx: In member function 'bool ConfigFile::get_integer(const std::string&, const std::string&, long int*)':
> ConfigFile.cxx:190: error: 'strtol' was not declared in this scope
> ConfigFile.cxx: In member function 'bool ConfigFile::get_integerv(const std::string&, const std::string&, long int*, unsigned int*)':
> ConfigFile.cxx:236: error: 'strtol' was not declared in this scope
> make[3]: *** [ConfigFile.o] Error 1

--- src/ConfigFile.cxx~	2007-04-02 19:51:31.000000000 +0000
+++ src/ConfigFile.cxx	2007-04-02 19:51:38.000000000 +0000
@@ -19,6 +19,7 @@
 using namespace std;
 
 #include <stdio.h>
+#include <stdlib.h>
 #include <string.h>
 #include <iostream>
 #include <stdexcept>
--- src/main.cxx~	2007-04-02 19:53:06.000000000 +0000
+++ src/main.cxx	2007-04-02 19:53:12.000000000 +0000
@@ -19,6 +19,7 @@
 using namespace std;
 
 #include <stdio.h>
+#include <stdlib.h>
 #include <string.h>
 #include <signal.h>
 #include <unistd.h>

-- 
Martin Michlmayr
http://www.cyrius.com/



Severity set to `important' from `normal' Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. (Tue, 29 May 2007 09:33:39 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, groucho@lugmen.org.ar (Fernando J. Rodríguez):
Bug#417457; Package odyssey. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to groucho@lugmen.org.ar (Fernando J. Rodríguez). Full text and rfc822 format available.

Message #12 received at 417457@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: 417457@bugs.debian.org, 408788@bugs.debian.org
Subject: Diff of the NMU
Date: Sun, 13 Jan 2008 11:23:35 +0100
[Message part 1 (text/plain, inline)]
I have just made an NMU of odyssey to fix long standing bugs. Please
find attached the diff of the NMU. 

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net
[odyssey.NMU.diff (text/x-diff, attachment)]

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 417457-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 417457-close@bugs.debian.org
Subject: Bug#417457: fixed in odyssey 0.4-2.1
Date: Sun, 13 Jan 2008 10:32:06 +0000
Source: odyssey
Source-Version: 0.4-2.1

We believe that the bug you reported is fixed in the latest version of
odyssey, which is due to be installed in the Debian FTP archive:

odyssey_0.4-2.1.diff.gz
  to pool/main/o/odyssey/odyssey_0.4-2.1.diff.gz
odyssey_0.4-2.1.dsc
  to pool/main/o/odyssey/odyssey_0.4-2.1.dsc
odyssey_0.4-2.1_amd64.deb
  to pool/main/o/odyssey/odyssey_0.4-2.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 417457@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated odyssey package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 13 Jan 2008 11:14:55 +0100
Source: odyssey
Binary: odyssey
Architecture: source amd64
Version: 0.4-2.1
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 odyssey    - PIC microcontroller programming application
Closes: 408788 417457
Changes: 
 odyssey (0.4-2.1) unstable; urgency=low
 .
   * Non maintainer upload for the Zürich BSP.
   * Apply from Martin Michlmayr to fix FTBFS with GCC 4.3 Closes: #417457.
   * Add armel to the list of supported architectures. Closes: #408788.
Files: 
 b89e03c5d24ef91d8e4705d8af2e0e07 687 electronics extra odyssey_0.4-2.1.dsc
 db1d1aabb3e81c417ad00ee666915086 23707 electronics extra odyssey_0.4-2.1.diff.gz
 0f55454da682add2334f366fa272eb77 77464 electronics extra odyssey_0.4-2.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHieXOw3ao2vG823MRAigcAJ92Q2EuuLvrxMxAl+l2Pz3lYtsHRwCfbFs/
7nAe64wq3Em5XigHJmzzrxw=
=l/0x
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, groucho@lugmen.org.ar (Fernando J. Rodríguez):
Bug#417457; Package odyssey. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to groucho@lugmen.org.ar (Fernando J. Rodríguez). Full text and rfc822 format available.

Message #22 received at 417457@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 417457@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Log for failed build of odyssey_0.4-2.1 (dist=unstable2)
Date: Sun, 27 Jan 2008 07:19:14 +0800
found 417457 0.4-2.1
thanks

Unfortunately, some more headers got cleaned up since I filed the
original bug report with patch.  You'll need <cstring.

> Automatic build of odyssey_0.4-2.1 on em64t by sbuild/amd64 0.53
...
> 	if x86_64-linux-gnu-g++ -DHAVE_CONFIG_H  -I. -DDATADIR="\"/usr/share/odyssey\"" -DSYSCONFDIR="\"/etc\""  -Wall -Wundef -Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings -Werror -g -O2 -MT device/PicDevice.o -MD -MP -MF "$depbase.Tpo" -c -o device/PicDevice.o device/PicDevice.cxx; \
> 	then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
> device/PicDevice.cxx: In static member function 'static Device* PicDevice::load(char*)':
> device/PicDevice.cxx:60: error: 'strcmp' was not declared in this scope
> device/PicDevice.cxx: In constructor 'PicDevice::PicDevice(char*)':
> device/PicDevice.cxx:87: error: 'strcmp' was not declared in this scope
> make[3]: *** [device/PicDevice.o] Error 1
> make[3]: Leaving directory `/build/tbm/odyssey-0.4/src'
> make[2]: *** [all] Error 2

-- 
Martin Michlmayr
http://www.cyrius.com/




Bug marked as found in version 0.4-2.1 and reopened. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Sat, 26 Jan 2008 23:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, groucho@lugmen.org.ar (Fernando J. Rodríguez):
Bug#417457; Package odyssey. Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to groucho@lugmen.org.ar (Fernando J. Rodríguez). Full text and rfc822 format available.

Message #29 received at 417457@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 417457@bugs.debian.org
Subject: odyssey: diff for NMU version 0.4-2.2
Date: Fri, 14 Mar 2008 00:07:11 +0100
[Message part 1 (text/plain, inline)]
tags 417457 + patch
thanks

Hi,

Attached is the diff for my odyssey 0.4-2.2 NMU.
[odyssey-0.4-2.2-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Thu, 13 Mar 2008 23:09:04 GMT) Full text and rfc822 format available.

Reply sent to Luk Claes <luk@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #36 received at 417457-close@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 417457-close@bugs.debian.org
Subject: Bug#417457: fixed in odyssey 0.4-2.2
Date: Thu, 13 Mar 2008 23:17:08 +0000
Source: odyssey
Source-Version: 0.4-2.2

We believe that the bug you reported is fixed in the latest version of
odyssey, which is due to be installed in the Debian FTP archive:

odyssey_0.4-2.2.diff.gz
  to pool/main/o/odyssey/odyssey_0.4-2.2.diff.gz
odyssey_0.4-2.2.dsc
  to pool/main/o/odyssey/odyssey_0.4-2.2.dsc
odyssey_0.4-2.2_i386.deb
  to pool/main/o/odyssey/odyssey_0.4-2.2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 417457@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luk Claes <luk@debian.org> (supplier of updated odyssey package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 13 Mar 2008 23:05:29 +0000
Source: odyssey
Binary: odyssey
Architecture: source i386
Version: 0.4-2.2
Distribution: unstable
Urgency: medium
Maintainer: Fernando J. Rodríguez <groucho@lugmen.org.ar>
Changed-By: Luk Claes <luk@debian.org>
Description: 
 odyssey    - PIC microcontroller programming application
Closes: 417457
Changes: 
 odyssey (0.4-2.2) unstable; urgency=medium
 .
   * Non-maintainer upload.
   * Fix FTBFS with GCC 4.3 (Closes: #417457).
Files: 
 491dfb4d6e27117f5e1fb03a4227013d 687 electronics extra odyssey_0.4-2.2.dsc
 542aaa249707561541a0fa58ec99afab 24363 electronics extra odyssey_0.4-2.2.diff.gz
 282256b404c0ec0da4d34968bb764018 74604 electronics extra odyssey_0.4-2.2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH2bOq5UTeB5t8Mo0RAgn5AJ9umeVKByAsd0ZBTWbDLlEOwBCa3gCffBCV
vIyUlKnOK1JLhrWh1vvinwI=
=6Tsm
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 25 May 2008 07:35:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:18:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.